## pyzor 1.0.0

=== requirements.txt ===
# Depending on what engine type you want to use
# you will need one of the following
MySQL-python==1.2.5
redis==2.9.1
# python-gdbm # not available via pip

# If you want to use gevent you will also require 
# this.
#gevent==1.0.1

=== web/requirements.txt ===
flask==0.10.1
flask-wtf==0.9.5
raven==5.0.0
pyzor==0.8.0

## pyzor 0.5.0

=== debian/changelog ===
pyzor (1:0.5.0-4fakesync1) xenial-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 24 Oct 2015 00:47:53 +0100

pyzor (1:0.5.0-4) unstable; urgency=medium

  * Team upload.
  * Fix last upload, now installs all binaries (closes: #796488)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 28 Sep 2015 17:21:04 +0200

pyzor (1:0.5.0-3) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * Convert from dh_pysupport to dh_python2
  * Convert source package format to 3.0 (quilt)
  * Remove deprecated debian/pycompat

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 19 Aug 2015 22:28:35 +0200

pyzor (1:0.5.0-2) unstable; urgency=low

  [ Carl Chenet ]
  * debian/control now works.
  * debian/control
  - bump Standards-Version to 3.8.3 

  [ Luca Falavigna ]
  * debian/rules:
    - Do not manually set DEB_PYTHON_INSTALL_ARGS_ALL, recent versions
      of CDBS already do that (Closes: #557937).

 -- Carl Chenet <chaica@ohmytux.com>  Sat, 12 Dec 2009 13:26:50 +0100

pyzor (1:0.5.0-1) unstable; urgency=low

  [Carl Chenet]
  * New maintainer (Closes: #416278).
  * Updated Standards-Version to 3.8.2
  * Deleted outdated upstream Changelog

  [Tobias Klauser]
  * New upstream release
    - All debian patches have been merged upstream, drop them.
    - Manpages have been merged upstream, drop them from debian directory.
    - Check received server list for validity and print an error message when no
      servers were discovered (Closes: #494047).
  * Rephrased package description (Closes: #439583).
  * Removed Homepage tag in control in favour of the new control field.
  * Added Vcs-Svn and Vcs-Browser control fields.

  [Sandro Tosi]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Carl Chenet <chaica@ohmytux.com>  Sat, 08 Aug 2009 14:36:45 +0200

pyzor (1:0.4.0+cvs20030201-8) unstable; urgency=low

  * QA upload.
  * Defined do_mbox in client.py for predigest function (Closes: #412658).
  * Fixed broken copyright.

 -- Nico Golde <nion@debian.org>  Sun, 22 Apr 2007 20:22:54 +0200

pyzor (1:0.4.0+cvs20030201-7) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA group.
  * Adjusted Homepage tag.
  * Conformed to new python policy (Closes: 416215).
  * Changed versioned dependency for python-support to >= 0.5.3
    like described in the wiki and moved it to Build-Depends.

 -- Nico Golde <nion@debian.org>  Wed, 11 Apr 2007 15:30:00 +0200

pyzor (1:0.4.0+cvs20030201-6.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Ana Beatriz Guerrero Lopez ]
  * Update package to the last python policy (Closes: #380923).
  * Bumped compat to 5.
  * Bumped Standards-Version to 3.7.2, no changes required.

  [ Pierre Habouzit ]
  * Upload ana's patch.

 -- Pierre Habouzit <madcoder@debian.org>  Mon,  4 Sep 2006 18:56:58 +0200

pyzor (1:0.4.0+cvs20030201-6) unstable; urgency=low

  * Change the install location of the files from 
    /usr/lib/python2.4/site-packages/ to
    /usr/lib/site-python/ because sys.path might not
    include the former (Closes: #347678)
  * Updated standards version
  * Updated watch to version 3 format, in case upsteam
    ever releases a new version.
  * Escaped hyphens in the man pages.

 -- Christopher Sacca <csacca@thecsl.org>  Thu, 12 Jan 2006 00:38:18 -0500

pyzor (1:0.4.0+cvs20030201-5) unstable; urgency=low

  * Cleaned up all the patches so that they're more condolidated
    and apply cleaner
  * Updated python deps to include both 2.3 and 2.4
  * Tracked down the last reference to FileDigestor in client.py
    that caused an error (Closes: #335096)
  * Added patches from the BTS that were long overdue to be
    incorperated.  These patches help handle unknown encoding
    types and deal with internal short comings in the mime
    decryption (Closes: #309469, #324682)
    According to the SpamAssassin BTS, these patches should
    also solve the weird "internal error" issue
    (Closes: #335424)

 -- Christopher Sacca <csacca@thecsl.org>  Tue, 10 Jan 2006 02:33:21 -0500

pyzor (1:0.4.0+cvs20030201-4) unstable; urgency=low

  * Added some more error catching to deal with mime-types that
    mimetools doesn't support (binary), or invalid mime-types (things
    that contain ;'s) (Closes: #306407)

 -- Christopher Sacca <csacca@thecsl.org>  Tue, 26 Apr 2005 11:52:21 -0400

pyzor (1:0.4.0+cvs20030201-3) unstable; urgency=medium

  * Added --mbox to check and info commands and updated man page
  * Reverted from threading code to the signal code to stop pyzor from hanging
    on a TimeoutError (Closes: #301160)
  * Updated watch file so that it won't just timeout
  * Added a --log option to log stderr and debug to a file
    (pyzor_home/pyzor.log)

 -- Christopher Sacca <csacca@thecsl.org>  Tue,  11 Apr 2005 09:41:00 -0400

pyzor (1:0.4.0+cvs20030201-2) unstable; urgency=low

  * Cleaned up some of the changes I made, making them dpatchs
  * Patched getopt section in client to catch errors and display help 
    correctly (Closes: #300695)

 -- Christopher Sacca <csacca@thecsl.org>  Tue, 22 Mar 2005 11:04:28 -0500

pyzor (1:0.4.0+cvs20030201-1) unstable; urgency=low

  * New maintainer (Closes: #297922)
  * Updated man pages to current documentation
  * Documentation (pyzord.1) now clearly states that pyzord does not 
    daemonize itself (Closes: #263900)
  * Caught IOErrors and propmts user to use correct syntax for stdin
    (Closes: #295852)

 -- Christopher Sacca <csacca@thecsl.org>  Wed, 16 Mar 2005 12:54:45 -0500

pyzor (1:0.4.0-1) unstable; urgency=low

  * Fix the version number with an epoch instead of the 0.4.0.0 hack
  * orphaning the package

 -- Bastian Kleineidam <calvin@debian.org>  Thu,  3 Mar 2005 15:51:55 +0100

pyzor (0.4.0.0-9) unstable; urgency=low

  * added debian/watch file
  * catch TypeError on bad encoded multipart mails (Closes: #262565)
  * use cdbs for debian/rules



=== debian/control ===
Source: pyzor
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Carl Chenet <chaica@ohmytux.com>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.43), python (>= 2.3.5-11), dh-python
Homepage: http://pyzor.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pyzor/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/pyzor/trunk/

Package: pyzor
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gdbm
Description: spam-catcher using a collaborative filtering network
 Pyzor is a collaborative, networked system to detect and block spam using
 identifying digests of messages.
 .
 It establishes a distributed database of spam digests which can be used to
 filter out known spam.
 .
 Pyzor is a reimplementation of Razor in Python.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES=pyzor
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

BASE := $(CURDIR)/debian/pyzor
DEB_INSTALL_MANPAGES_pyzor := docs/pyzor.1 docs/pyzord.1

binary-indep-post-install/pyzor::
	install -m755 scripts/pyzor $(BASE)/usr/bin/pyzor
	install -m755 scripts/pyzord $(BASE)/usr/bin/pyzord

clean::
	rm -f lib/pyzor/*.pyc lib/pyzor/*.pyo

binary-install/pyzor::
	dh_python2 -p$(cdbs_curpkg)

=== debian/watch ===
# watch control file for uscan
version=3
http://www.mirrorservice.org/sites/download.sourceforge.net/pub/sourceforge/p/project/py/pyzor/pyzor/([\d]{1}.[\d]{1}.[\d]{1})/pyzor-(.*)\.tar.gz

## pyzor 1.0.0

=== debian/changelog ===
pyzor (1:1.0.0-6) unstable; urgency=medium

  * [7335fc] Backport another patch from upstream master.
    Thanks to Timo van Roermund <timo@van-roermund.nl> (Closes: #923077)

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 13 Jan 2021 10:28:40 +0000

pyzor (1:1.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Fix day-of-week for changelog entry 1:0.4.0+cvs20030201-3.

  [ gustavo panizzo ]
  * [0e1593] Include patch from upstream (Closes: 923077)
  * [fd7ba1] Update standards version
  * [6d0db7] Use debhelper 13
  * [f3a909] Set Rules-Requires-Root: no in d/control
  * [bbea0e] Add Repository-Browse and Repository fields to upstream metadata

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sun, 10 Jan 2021 18:21:51 +0000

pyzor (1:1.0.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Remove ancient X-Python3-Version field

  [ Hugo Lefeuvre ]
  * Bump compat level from 10 to 11.
  * debian/control:
    - Bump Standards to 4.1.5.
    - Depend on debhelper >= 11 instead of >= 10.
    - Update Vcs-* fields (salsa migration).
    - Add Multi-Arch: foreign tag to binary package.
    - Add Autopkgtest stanza.
  * Update copyright years.
  * Remove debian/README.Debian (not relevant anymore) (Closes: #841908).

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 05 Aug 2018 14:49:17 -0700

pyzor (1:1.0.0-3) unstable; urgency=medium

  * Bump compat level from 9 to 10.
  * debian/control:
    - Bump Standards to 4.0.0.
    - Depend on debhelper >= 10 instead of >= 9.
    - Use Python 3 version of build dependencies.
  * debian/rules:
    - Build for Python 3.
  * Update copyright years.

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 05 Sep 2017 16:41:23 +0200

pyzor (1:1.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Hugo Lefeuvre <hle@debian.org>  Mon, 12 Sep 2016 21:39:58 +0200

pyzor (1:1.0.0-1) experimental; urgency=low

  * New Maintainer.
  * New upstream release (Closes: #747069) (Closes: #586375), (Closes: #609646).
  * debian/control:
    - Add Hugo Lefeuvre in the Uploaders field, replace Carl Chenet by the
      PAPT in the Maintainer field.
    - Depend on debhelper >= 9 instead of >= 7, python-all instead of
      python (>= 2.3.5-11).
    - Add a dependency again python-sphinx and python-docutils.
    - Stop depending on cdbs (rewrite debian/rules to work with dh tools).
    - Bump Standards-Version to 3.9.8.
    - Execute wrap-and-sort -a.
    - Update Homepage: project has moved to GitHub.
    - Make package description more accurate (Closes: #606905).
    - Add documentation package pyzor-doc (and make pyzor suggests pyzor-doc).
  * Add debian/pyzor-doc.links so sphinx can access needed javascript
    libraries.
  * debian/rules:
    - Rewite debian/rules to work with pybuild and dh tools.
  * debian/compat: Set compatibility level to 9.
  * debian/copyright:
    - Make copyright file DEP5 compliant.
    - Add a copyright entry for Hugo Lefeuvre.
  * Fix debian/watch.
  * New documentation structure: add debian/pyzor.1, pyzord.1, pyzor-migrate.1,
    pyzor.manpages and pyzor-doc.docs.
  * Add patches/remove-exernal-resources.patch and debian/series to remove
    fetched external images from the documentation.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 03 Jul 2016 14:38:10 +0200

=== debian/control ===
Source: pyzor
Section: mail
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Hugo Lefeuvre <hle@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-docutils,
               python3-sphinx (>= 1.2.2+dfsg-2~),
               python3-gdbm
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/SpamExperts/pyzor
Vcs-Git: https://salsa.debian.org/python-team/packages/pyzor.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyzor
Rules-Requires-Root: no

Package: pyzor
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: pyzor-doc
Description: spam-catcher using a collaborative filtering network
 Pyzor is a collaborative, networked system to detect and block spam
 using identifying digests of messages.
 .
 Package contains both client and server.
 .
 The client can check if an email is a known spam against a pyzor server
 or report new spam digests to that server.
 .
 The server holds the digests database, and handle the client requests.
 .
 Pyzor is a reimplementation of Razor in Python.

Package: pyzor-doc
Architecture: all
Recommends: pyzor
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
         libjs-mathjax
Description: spam-catcher using a collaborative filtering network (documentation)
 Pyzor is a collaborative, networked system to detect and block spam
 using identifying digests of messages.
 .
 Package contains both client and server.
 .
 The client can check if an email is a known spam against a pyzor server
 or report new spam digests to that server.
 .
 The server holds the digests database, and handle the client requests.
 .
 Pyzor is a reimplementation of Razor in Python.
 .
 This is the documentation package.

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME = pyzor
export PYBUILD_DISABLE=test
export PYBUILD_DESTDIR_python3=debian/pyzor/

%:
	dh $@ --with python3 --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build	
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml -D mathjax_path='MathJax.js' docs/ build/html # HTML generator

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js

=== debian/watch ===
version=4
https://pypi.debian.net/pyzor/pyzor-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyzor 1.1.2

=== requirements.txt ===
# Depending on what engine type you want to use
# you will need one of the following
#mysqlclient==1.4.6
redis==4.0.2
# python-gdbm # not available via pip

# If you want to use gevent you will also require 
# this.
#gevent==1.0.2

=== web/requirements.txt ===
flask==1.1.2
flask-wtf==0.14.3
raven==6.10.0
pyzor==1.0.0

=== debian/changelog ===
pyzor (1:1.1.2-2) unstable; urgency=medium

  * Drop obsolete FSF postal address.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Tidy up debian/rules.
  * Drop debian/gbp.conf.

 -- Santiago Vila <sanvila@debian.org>  Wed, 28 Jan 2026 14:35:00 +0100

pyzor (1:1.1.2-1) unstable; urgency=medium

  * Add debian/salsa-ci.yml.
  * New upstream release 1.1.2. Closes: #1093636.
  * Add myself to Uploaders. Closes: #1093637.
  * Whitelist works again. Closes: #922466.

 -- Santiago Vila <sanvila@debian.org>  Tue, 21 Jan 2025 18:30:00 +0100

pyzor (1:1.0.0-9) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093637)

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Jan 2025 12:59:11 -0500

pyzor (1:1.0.0-8) unstable; urgency=medium

  * Team upload.
  * Apply changes for new python3. Closes: #1076428.

 -- Santiago Vila <sanvila@debian.org>  Thu, 31 Oct 2024 20:52:00 +0100

pyzor (1:1.0.0-7) unstable; urgency=medium

  * Update uploaders list. (Closes: #1050277)
  * debian/control: Use dh-sequence-python3.
  * Bump Standards-Version to 4.7.0.
  * debian/control: Move package description to the source package
    section.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-sphinx.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 May 2024 19:56:12 -0400

=== debian/control ===
Source: pyzor
Section: mail
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Santiago Vila <sanvila@debian.org>
Standards-Version: 4.7.3
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-docutils,
 python3-gdbm,
 python3-setuptools,
 python3-sphinx,
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/SpamExperts/pyzor
Vcs-Git: https://salsa.debian.org/python-team/packages/pyzor.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyzor
Description: spam-catcher using a collaborative filtering network
 Pyzor is a collaborative, networked system to detect and block spam
 using identifying digests of messages.
 .
 Package contains both client and server.
 .
 The client can check if an email is a known spam against a pyzor server
 or report new spam digests to that server.
 .
 The server holds the digests database, and handle the client requests.
 .
 Pyzor is a reimplementation of Razor in Python.

Package: pyzor
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 pyzor-doc,
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: pyzor-doc
Architecture: all
Recommends:
 pyzor,
Section: doc
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This is the documentation package.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = pyzor
export PYBUILD_DISABLE = test
export PYBUILD_DESTDIR_python3 = debian/pyzor

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build	
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml -D mathjax_path='MathJax.js' docs/ build/html # HTML generator

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js
